%global snapshot 20161208
# Do not create debuginfo sub-package because there is no binary executable
%global debug_package %{nil}
Name:       libecb
Version:    0.%{snapshot}
Release:    5%{?dist}
Summary:    Compiler built-ins
Group:      Development/Libraries
License:    BSD or GPLv2+
URL:        http://software.schmorp.de/pkg/libecb.html
# Snapshot from CVS :pserver:anonymous@cvs.schmorp.de/schmorpforge libecb 
Source0:    %{name}-%{snapshot}.tar.xz
BuildRequires:  coreutils
BuildRequires:  perl-podlators

%description
This project delivers you many GCC built-ins, attributes and a number of
generally useful low-level functions, such as popcount, expect, prefetch,
noinline, assume, unreachable and so on.

This is a dummy package. All the useful files are delivered by %{name}-devel
package.


%package devel
Summary:    Compiler built-ins
# Packaging guidelines require header-only packages:
# to be architecture-specific, to deliver headers in -devel package, to
# provide -static symbol for reverse build-requires.
# Replace libecb package:
Requires:   glibc-headers%{?_isa}
Provides:   libecb-static = %{?epoch:%{epoch}:}%{version}-%{release}
Provides:   libecb = %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes:  libecb < 0.20150218

%description devel
This project delivers you many GCC built-ins, attributes and a number of
generally useful low-level functions, such as popcount, expect, prefetch,
noinline, assume, unreachable and so on.

%prep
%setup -q -n %{name}-%{snapshot}

%build
pod2man ecb.pod > ecb.3

%install
install -d %{buildroot}%{_includedir}
install -m 0644 -t %{buildroot}%{_includedir} *.h 
install -d %{buildroot}%{_mandir}/man3
install -m 0644 -t %{buildroot}%{_mandir}/man3 *.3

%files devel
%license LICENSE
%doc Changes README
%{_includedir}/*
%{_mandir}/man3/*

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.20161208-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.20161208-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.20161208-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.20161208-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Dec 08 2016 Petr Pisar <ppisar@redhat.com> - 0.20161208-1
- CVS snapshot taken on 2016-12-08 (documentation updated)

* Tue Feb 09 2016 Petr Pisar <ppisar@redhat.com> - 0.20160209-1
- CVS snapshot taken on 2016-02-09 (improved ecb_binary16_to_float,
  ecb_float_to_binary16, ecb_binary16_to_binary32, ecb_binary32_to_binary16
  added, ecb_byteorder_helper changed prototype)

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.20150608-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20150608-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 08 2015 Petr Pisar <ppisar@redhat.com> - 0.20150608-1
- CVS snapshot taken on 2015-06-08 (new macros, more documentation, better
  compatibility with x86_64 compilers)

* Wed Feb 18 2015 Petr Pisar <ppisar@redhat.com> - 0.20150218-1
- CVS snapshot taken on 2015-02-18 (C11 compliance)
- Replace libecb package with libecb-devel, users should build-require
  libecb-static

* Wed Oct 29 2014 Petr Pisar <ppisar@redhat.com> - 0.20141029-1
- CVS snapshot taken on 2014-10-29
- License changed from (BSD) to (BSD or GPLv2+)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20130509-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20130509-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu May 09 2013 Petr Pisar <ppisar@redhat.com> - 0.20130509-1
- CVS snapshot taken on 2013-05-09

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20121022-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Oct 22 2012 Petr Pisar <ppisar@redhat.com> - 0.20121022-1
- CVS snapshot taken on 2012-10-22

* Mon Oct 08 2012 Petr Pisar <ppisar@redhat.com> - 0.20121008-1
- CVS snapshot taken on 2012-10-08
- Fix for building on big-endian systems (bug #863991)

